Bug 407641 - Discover takes a moment to collect ratings, so Featured apps page briefly displays no ratings before updating itself and then showing them
Summary: Discover takes a moment to collect ratings, so Featured apps page briefly dis...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.15.5
Platform: Other Linux
: HI normal
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-17 13:16 UTC by Nate Graham
Modified: 2019-11-07 14:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2019-05-17 13:16:48 UTC
When you launch Discover after not having launched it in a few hours, the apps on the Featured page have no ratings. Then after a second or two, the ratings show up. This looks a bit weird.

Could we maintain a cache of the prior ratings data and display that on launch, updating it as necessary? Or alternatively we could delay displaying the delegates until all the ratings data is available.
Comment 1 Aleix Pol 2019-06-15 00:18:23 UTC
That shouldn't be the case. It's definitely cached (see ~/.cache/discover/ratings/ratings).

Can you check if you're hitting a bug somewhere?
Also I remember we fixed something in this front, but maybe it was that it wasn't being refreshed?
Comment 2 Nate Graham 2019-06-15 00:25:19 UTC
It's got the same symptoms as these bugs:
https://bugs.kde.org/show_bug.cgi?id=402928 - can't install apps
https://bugs.kde.org/show_bug.cgi?id=402104 - can't perform updates
https://bugs.kde.org/show_bug.cgi?id=408037 - local packages are delayed

When I launch Discover for the first time after not having opened it in a while, there's a delay before the ratings appear. Thereafter, they appear immediately on launch for a while. I just had this happen when I opened Discover to check it. No,w when I open Discover again, the ratings are displayed immediately. I haven't worked out what the interval between launches needs to be before you hit these bugs, so I'll capture a screen recording tomorrow.

The thing we (you) fixed recently was the Featured page not refreshing automatically after the ratings get fetched.
Comment 3 Nate Graham 2019-11-07 14:16:56 UTC
This seems to have been fixed. I can no longer reproduce the issue.